Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form
Class ComboBox

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.Component
                  com.gwtext.client.widgets.BoxComponent
                      com.gwtext.client.widgets.form.Field
                          com.gwtext.client.widgets.form.TextField
                              com.gwtext.client.widgets.form.ComboBox

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, Observable

    public class ComboBox

extends TextField

Nested Class Summary
`static class` | `ComboBox.Mode`
`static class` | `ComboBox.Trigger`

Field Summary
`static ComboBox.Trigger` | `ALL`
`static ComboBox.Mode` | `LOCAL`
`static ComboBox.Trigger` | `QUERY`
`static ComboBox.Mode` | `REMOTE`

Fields inherited from class com.gwtext.client.widgets.Component
`config, id`

Constructor Summary
`ComboBox()`
`ComboBox(com.google.gwt.core.client.JavaScriptObject jsObj)`
`ComboBox(java.lang.String fieldLabel)`
`ComboBox(java.lang.String fieldLabel, java.lang.String name)`
`ComboBox(java.lang.String fieldLabel, java.lang.String name, int width)`

Method Summary
`void` | `addListener(ComboBoxListener listener)`
`void` | `clearValue()`
`void` | `collapse()`
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject jsObj)`
`void` | `doQuery(java.lang.String query, boolean forceAll)`
`void` | `expand()`
`protected com.google.gwt.core.client.JavaScriptObject` | `getConfigPrototype()`
`protected com.google.gwt.user.client.Element` | `getElement(com.google.gwt.core.client.JavaScriptObject jsObj)`
`java.lang.String` | `getValue()`
`java.lang.String` | `getXType()` Gets the xtype for this component as registered with ComponentMgr.
`boolean` | `isExpanded()`
`void` | `select(int index, boolean scrollIntoView)`
`void` | `selectByValue(java.lang.String value, boolean scrollIntoView)`
`void` | `setAllQuery(java.lang.String allQuery)` The text query to send to the server to return all records for the list with no filtering (defaults to '')
`void` | `setDisplayField(java.lang.String displayField)` The underlying data field name to bind to this ComboBox (defaults to undefined if mode = 'remote' or 'text' if mode = 'local').
`void` | `setEditable(boolean editable)` False to prevent the user from typing text directly into the field, just like a traditional select (defaults to true).
`void` | `setForceSelection(boolean forceSelection)` True to restrict the selected value to one of the values in the list, false to allow the user to set arbitrary text into the field (defaults to false)
`void` | `setHandleHeight(int handleHeight)` The height in pixels of the dropdown list resize handle if resizable = true (defaults to 8)
`void` | `setHiddenName(java.lang.String hiddenName)` If specified, a hidden form field with this name is dynamically generated to store the field's data value (defaults to the underlying DOM element's name)
`void` | `setHideTrigger(boolean hideTrigger)` True to hide the trigger element and display only the base text field (defaults to false).
`void` | `setItemSelector(java.lang.String itemSelector)` A CSS selector in any format supported by `DomQuery` that will be used to determine what nodes this DataView will be working with.
`void` | `setLazyRender(boolean lazyRender)` True to prevent the ComboBox from rendering until requested (should always be used when rendering into an Editor, defaults to false).
`void` | `setLinked(boolean linked)` True to indicate this is a linked combo box.
`void` | `setListAlign(java.lang.String anchorPosition)` A valid anchor position value.
`void` | `setListClass(java.lang.String listClass)` CSS class to apply to the dropdown list element (defaults to '').
`void` | `setListWidth(int listWidth)` The width in pixels of the dropdown list (defaults to the width of the ComboBox field)
`void` | `setLoadingText(java.lang.String loadingText)` The text to display in the dropdown list while data is loading.
`void` | `setMaxHeight(int maxHeight)` The maximum height in pixels of the dropdown list before scrollbars are shown (defaults to 300).
`void` | `setMinChars(int minChars)` The minimum number of characters the user must type before autocomplete and typeahead activate (defaults to 4, does not apply if editable = false)
`void` | `setMinListWidth(int minListWidth)` The minimum width of the dropdown list in pixels (defaults to 70, will be ignored if listWidth has a higher value).
`void` | `setMode(ComboBox.Mode mode)` Set to `LOCAL` if the ComboBox loads local data.
`void` | `setPageSize(int pageSize)` If greater than 0, a paging toolbar is displayed in the footer of the dropdown list and the filter queries will execute with page start and limit parameters.
`void` | `setQueryDelay(int queryDelay)` The length of time in milliseconds to delay between the start of typing and sending the query to filter the dropdown list (defaults to 500 if mode = 'remote' or 10 if mode = 'local')
`void` | `setQueryParam(java.lang.String queryParam)` Name of the query as it will be passed on the querystring (defaults to 'query')
`void` | `setResizable(boolean resizable)` True to add a resize handle to the bottom of the dropdown list (defaults to false).
`void` | `setSelectedClass(java.lang.String selectedClass)` CSS class to apply to the selected item in the dropdown list (defaults to 'x-combo-selected')
`void` | `setShadow(boolean shadow)` True for default effect
`void` | `setShadow(Shadow.Type shadow)` "sides" for the default effect, "frame" for 4-way shadow, and "drop" for bottom-right.
`void` | `setStore(Store store)` The data store to which this combo is bound (defaults to undefined)
`void` | `setTitle(java.lang.String title)` If supplied, a header element is created containing this text and added into the top of the dropdown list (defaults to undefined, with no header element).
`void` | `setTpl(java.lang.String template)` Set the template to use to render the ComboBox items.
`void` | `setTpl(Template template)` Set the template to use to render the ComboBox items.
`void` | `setTriggerAction(ComboBox.Trigger triggerAction)` The action to execute when the trigger field is activated.
`void` | `setTriggerClass(java.lang.String triggerClass)` A CSS class to apply to the trigger.
`void` | `setTypeAhead(boolean typeAhead)` True to populate and autoselect the remainder of the text being typed after a configurable delay (typeAheadDelay) if it matches a known value (defaults to false).
`void` | `setTypeAheadDelay(int typeAheadDelay)` The length of time in milliseconds to wait until the typeahead text is displayed if typeAhead = true (defaults to 250)
`void` | `setValue(java.lang.String value)` Sets the specified value into the field.
`void` | `setValueField(java.lang.String valueField)` The underlying data value name to bind to this CombBox (defaults to undefined if mode = 'remote' or 'value' if mode = 'local').
`void` | `setValueNotFoundText(java.lang.String valueNotFoundText)` When using a name/value combo, if the value passed to setValue is not found in the store, valueNotFoundText will be displayed as the field text if defined (defaults to undefined).

Methods inherited from class com.gwtext.client.widgets.form.TextField
`addListener, autoSize, getText, selectText, selectText, setAllowBlank, setBlankText, setDisableKeyFilter, setEmptyClass, setEmptyText, setGrow, setGrowMax, setGrowMin, setMaskRe, setMaxLength, setMaxLengthText, setMinLength, setMinLengthText, setPassword, setRegex, setRegexText, setSelectOnFocus, setValidator, setVtype, setVtypeText, validateValue`

Methods inherited from class com.gwtext.client.widgets.form.Field
`addListener, applyTo, applyTo, clearInvalid, getClearCls, getCls, getFocusClass, getInputType, getInvalidClass, getInvalidText, getLabelSeparator, getLabelStyle, getName, getRawValue, getTabindex, getValidationDelay, getValueAsString, isAutoCreate, isDirty, isHideLabel, isReadOnly, isValid, isValid, isValidateOnBlur, markInvalid, reset, setAutoCreate, setAutoCreate, setClearCls, setCls, setDisabled, setFieldClass, setFieldLabel, setFieldMsgTarget, setFocusClass, setHideLabel, setInputType, setInvalidClass, setInvalidText, setLabel, setLabelSeparator, setLabelStyle, setMsgFx, setMsgTarget, setName, setRawValue, setReadOnly, setTabIndex, setValidateOnBlur, setValidationDelay, setValidationEvent, setValidationEvent, setWidth, setWidth, validate`

Methods inherited from class com.gwtext.client.widgets.BoxComponent
`addListener, doOnRender, doOnRender, getAutoHeight, getAutoWidth, getBox, getBox, getHeight, getPosition, getPosition, getSize, getWidth, setAutoHeight, setAutoWidth, setHeight, setHeight, setPagePosition, setPosition, syncSize, updateBox`

Methods inherited from class com.gwtext.client.widgets.Component
`addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, afterRender, beforeDestroy, check, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, focus, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getComponentJS, getConfig, getCtCls, getDisabledClass, getEl, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getStyle, getStyleElement, getTitle, getXTypes, hashCode, hide, initComponent, isCreated, isDisabled, isHidden, isRendered, isVisible, isXType, isXType, onDestroy, removeClass, render, render, render, render, render, render, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoShow, setCtCls, setDisabledClass, setEl, setEl, setHideMode, setHideParent, setId, setRenderTo, setStateEvents, setStateId, setStyle, setVisible, show`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setElement`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, removeStyleDependentName, removeStyleName, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### REMOTE

    public static ComboBox.Mode REMOTE

### LOCAL

    public static ComboBox.Mode LOCAL

### ALL

    public static ComboBox.Trigger ALL

### QUERY

    public static ComboBox.Trigger QUERY

Constructor Detail

### ComboBox

    public ComboBox()

### ComboBox

    public ComboBox(java.lang.String fieldLabel)

### ComboBox

    public ComboBox(java.lang.String fieldLabel,
                    java.lang.String name)

### ComboBox

    public ComboBox(java.lang.String fieldLabel,
                    java.lang.String name,
                    int width)

### ComboBox

    public ComboBox(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### getConfigPrototype

    protected com.google.gwt.core.client.JavaScriptObject getConfigPrototype()

  Overrides:
    `getConfigPrototype` in class `TextField`

### getXType

    public java.lang.String getXType()

  Description copied from class: `Component`
  Gets the xtype for this component as registered with ComponentMgr. For a list of all available xtypes, see the Component javadocs.

       TextField field = new TextField();
       field.getXType() returns "textfield"

  Overrides:
    `getXType` in class `TextField`
  Returns:
    the xtype

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject jsObj)

  Overrides:
    `create` in class `TextField`

### getElement

    protected com.google.gwt.user.client.Element getElement(com.google.gwt.core.client.JavaScriptObject jsObj)

  Overrides:
    `getElement` in class `Component`

### clearValue

    public void clearValue()

### collapse

    public void collapse()

### doQuery

    public void doQuery(java.lang.String query,
                        boolean forceAll)

### expand

    public void expand()

### getValue

    public java.lang.String getValue()

### isExpanded

    public boolean isExpanded()

### select

    public void select(int index,
                       boolean scrollIntoView)

### selectByValue

    public void selectByValue(java.lang.String value,
                              boolean scrollIntoView)

### setValue

    public void setValue(java.lang.String value)

  Sets the specified value into the field. If the value finds a match, the corresponding record text will be displayed in the field. If the value does not match the data value of an existing item, and the valueNotFoundText config option is defined, it will be displayed as the default field text. Otherwise the field will be blank (although the value will still be set).

  Overrides:
    `setValue` in class `Field`
  Parameters:
    `value` - the field value

### addListener

    public void addListener(ComboBoxListener listener)

### setAllQuery

    public void setAllQuery(java.lang.String allQuery)
                     throws java.lang.IllegalStateException

  The text query to send to the server to return all records for the list with no filtering (defaults to '')

  Parameters:
    `allQuery` - the all query string
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setDisplayField

    public void setDisplayField(java.lang.String displayField)
                         throws java.lang.IllegalStateException

  The underlying data field name to bind to this ComboBox (defaults to undefined if mode = 'remote' or 'text' if mode = 'local').

  Parameters:
    `displayField` - the display field
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setEditable

    public void setEditable(boolean editable)

  False to prevent the user from typing text directly into the field, just like a traditional select (defaults to true).

  Parameters:
    `editable` - false to disable editing

### setForceSelection

    public void setForceSelection(boolean forceSelection)
                           throws java.lang.IllegalStateException

  True to restrict the selected value to one of the values in the list, false to allow the user to set arbitrary text into the field (defaults to false)

  Parameters:
    `forceSelection` - true to force selection
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setHandleHeight

    public void setHandleHeight(int handleHeight)
                         throws java.lang.IllegalStateException

  The height in pixels of the dropdown list resize handle if resizable = true (defaults to 8)

  Parameters:
    `handleHeight` - the handle height
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setHiddenName

    public void setHiddenName(java.lang.String hiddenName)
                       throws java.lang.IllegalStateException

  If specified, a hidden form field with this name is dynamically generated to store the field's data value (defaults to the underlying DOM element's name)

  Parameters:
    `hiddenName` - the hidden name
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setHideTrigger

    public void setHideTrigger(boolean hideTrigger)
                        throws java.lang.IllegalStateException

  True to hide the trigger element and display only the base text field (defaults to false).

  Parameters:
    `hideTrigger` - true to hide trigger
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setTriggerClass

    public void setTriggerClass(java.lang.String triggerClass)
                         throws java.lang.IllegalStateException

  A CSS class to apply to the trigger.

  Parameters:
    `triggerClass` - the trigger CSS class.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setItemSelector

    public void setItemSelector(java.lang.String itemSelector)

  A CSS selector in any format supported by `DomQuery` that will be used to determine what nodes this DataView will be working with.

  Parameters:
    `itemSelector` - the items selector

### setLinked

    public void setLinked(boolean linked)
                   throws java.lang.IllegalStateException

  True to indicate this is a linked combo box.

  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setLazyRender

    public void setLazyRender(boolean lazyRender)
                       throws java.lang.IllegalStateException

  True to prevent the ComboBox from rendering until requested (should always be used when rendering into an Editor, defaults to false).

  Parameters:
    `lazyRender` - true to lazy render
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setListAlign

    public void setListAlign(java.lang.String anchorPosition)
                      throws java.lang.IllegalStateException

  A valid anchor position value.

  Parameters:
    `anchorPosition` - the anchor position
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setListClass

    public void setListClass(java.lang.String listClass)

  CSS class to apply to the dropdown list element (defaults to '').

  Parameters:
    `listClass` - list css class

### setListWidth

    public void setListWidth(int listWidth)
                      throws java.lang.IllegalStateException

  The width in pixels of the dropdown list (defaults to the width of the ComboBox field)

  Parameters:
    `listWidth` - the list width
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setLoadingText

    public void setLoadingText(java.lang.String loadingText)

  The text to display in the dropdown list while data is loading. Only applies when mode = 'remote' (defaults to 'Loading...')

  Parameters:
    `loadingText` - the loading text

### setMaxHeight

    public void setMaxHeight(int maxHeight)
                      throws java.lang.IllegalStateException

  The maximum height in pixels of the dropdown list before scrollbars are shown (defaults to 300).

  Parameters:
    `maxHeight` - the max height
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setMinChars

    public void setMinChars(int minChars)

  The minimum number of characters the user must type before autocomplete and typeahead activate (defaults to 4, does not apply if editable = false)

  Parameters:
    `minChars` - the min chars before autocomplete

### setMinListWidth

    public void setMinListWidth(int minListWidth)
                         throws java.lang.IllegalStateException

  The minimum width of the dropdown list in pixels (defaults to 70, will be ignored if listWidth has a higher value).

  Parameters:
    `minListWidth` - the min list width
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setMode

    public void setMode(ComboBox.Mode mode)

  Set to `LOCAL` if the ComboBox loads local data. (defaults to `REMOTE` which loads from the server)

  Parameters:
    `mode` - local or remote mode

### setPageSize

    public void setPageSize(int pageSize)
                     throws java.lang.IllegalStateException

  If greater than 0, a paging toolbar is displayed in the footer of the dropdown list and the filter queries will execute with page start and limit parameters. Only applies when mode = 'remote' (defaults to 0).

  Parameters:
    `pageSize` - the page size
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered
  See Also:
    `setMode(com.gwtext.client.widgets.form.ComboBox.Mode)`

### setQueryDelay

    public void setQueryDelay(int queryDelay)
                       throws java.lang.IllegalStateException

  The length of time in milliseconds to delay between the start of typing and sending the query to filter the dropdown list (defaults to 500 if mode = 'remote' or 10 if mode = 'local')

  Parameters:
    `queryDelay` - query delay in milliseconds
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered
  See Also:
    `setMode(com.gwtext.client.widgets.form.ComboBox.Mode)`

### setQueryParam

    public void setQueryParam(java.lang.String queryParam)
                       throws java.lang.IllegalStateException

  Name of the query as it will be passed on the querystring (defaults to 'query')

  Parameters:
    `queryParam` - the query param
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setResizable

    public void setResizable(boolean resizable)
                      throws java.lang.IllegalStateException

  True to add a resize handle to the bottom of the dropdown list (defaults to false).

  Parameters:
    `resizable` - true for resizale
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setSelectedClass

    public void setSelectedClass(java.lang.String selectedClass)
                          throws java.lang.IllegalStateException

  CSS class to apply to the selected item in the dropdown list (defaults to 'x-combo-selected')

  Parameters:
    `selectedClass` - the selected css class
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setShadow

    public void setShadow(boolean shadow)
                   throws java.lang.IllegalStateException

  True for default effect

  Parameters:
    `shadow` - true to enable shadow
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setShadow

    public void setShadow(Shadow.Type shadow)
                   throws java.lang.IllegalStateException

  "sides" for the default effect, "frame" for 4-way shadow, and "drop" for bottom-right.

  Parameters:
    `shadow` - shadow style
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setStore

    public void setStore(Store store)
                  throws java.lang.IllegalStateException

  The data store to which this combo is bound (defaults to undefined)

  Parameters:
    `store` - the combobox store
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setTitle

    public void setTitle(java.lang.String title)
                  throws java.lang.IllegalStateException

  If supplied, a header element is created containing this text and added into the top of the dropdown list (defaults to undefined, with no header element).

  Overrides:
    `setTitle` in class `Component`
  Parameters:
    `title` - the combobox title
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setTpl

    public void setTpl(Template template)
                throws java.lang.IllegalStateException

  Set the template to use to render the ComboBox items. Used to customize dispaly of ComboBox items.
  For example the template below uses the fields 'url' and 'text' from the Store's RecordDef.
  setTpl(new Template("<div class=\"x-combo-list-item\">" + "<em>{url}</em><strong>{text}</strong>" + "<div class=\"x-clear\"></div></div>"));

  Parameters:
    `template` - template to use for rendering items.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered
  See Also:
    `Store`, `RecordDef`

### setTpl

    public void setTpl(java.lang.String template)
                throws java.lang.IllegalStateException

  Set the template to use to render the ComboBox items. Used to customize dispaly of ComboBox items.
  For example the template below uses the fields 'url' and 'text' from the Store's RecordDef.
  setTpl(new Template("<div class=\"x-combo-list-item\">" + "<em>{url}</em><strong>{text}</strong>" + "<div class=\"x-clear\"></div></div>"));

  Parameters:
    `template` - template to use for rendering items.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered
  See Also:
    `Store`, `RecordDef`

### setTriggerAction

    public void setTriggerAction(ComboBox.Trigger triggerAction)
                          throws java.lang.IllegalStateException

  The action to execute when the trigger field is activated. Use 'all' to run the query specified by the allQuery config option (defaults to 'query').

  Parameters:
    `triggerAction` - the trigger action
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setTypeAhead

    public void setTypeAhead(boolean typeAhead)
                      throws java.lang.IllegalStateException

  True to populate and autoselect the remainder of the text being typed after a configurable delay (typeAheadDelay) if it matches a known value (defaults to false).

  Parameters:
    `typeAhead` - enable type ahead
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setTypeAheadDelay

    public void setTypeAheadDelay(int typeAheadDelay)
                           throws java.lang.IllegalStateException

  The length of time in milliseconds to wait until the typeahead text is displayed if typeAhead = true (defaults to 250)

  Parameters:
    `typeAheadDelay` - typeahead delay in milliseconds
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setValueField

    public void setValueField(java.lang.String valueField)

  The underlying data value name to bind to this CombBox (defaults to undefined if mode = 'remote' or 'value' if mode = 'local'). Note: use of a valueField requires the user make a selection in order for a value to be mapped.

  Parameters:
    `valueField` - the value field

### setValueNotFoundText

    public void setValueNotFoundText(java.lang.String valueNotFoundText)

  When using a name/value combo, if the value passed to setValue is not found in the store, valueNotFoundText will be displayed as the field text if defined (defaults to undefined).

  Parameters:
    `valueNotFoundText` - text when value not found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD